import request from '@/utils/request'

// 查询重点设备采煤工作面使用情况列表
export function listCoalMiningWorkingFace1710381764000(query) {
  return request({
    url: '/forms/api/gen/CoalMiningWorkingFace1710381764000/list',
    method: 'get',
    params: query
  })
}

// 查询重点设备采煤工作面使用情况详细
export function getCoalMiningWorkingFace1710381764000(id) {
  return request({
    url: '/forms/api/gen/CoalMiningWorkingFace1710381764000/' + id,
    method: 'get'
  })
}

// 新增重点设备采煤工作面使用情况
export function addCoalMiningWorkingFace1710381764000(data) {
  return request({
    url: '/forms/api/gen/CoalMiningWorkingFace1710381764000',
    method: 'post',
    data: data
  })
}

// 修改重点设备采煤工作面使用情况
export function updateCoalMiningWorkingFace1710381764000(data) {
  return request({
    url: '/forms/api/gen/CoalMiningWorkingFace1710381764000',
    method: 'put',
    data: data
  })
}

// 删除重点设备采煤工作面使用情况
export function delCoalMiningWorkingFace1710381764000(id) {
  return request({
    url: '/forms/api/gen/CoalMiningWorkingFace1710381764000/' + id,
    method: 'delete'
  })
}
